/*
** amorse.h   
**
** 
** Version 3.5  F5BEZ   15/10/2011
*/

#ifndef AMORSE_H
#define AMORSE_H


//void amorse_inits(void);
//void amorse_presets(void);
void mprintbuffer( char unsigned *string);
void msend_string(const char *string);
void msend_string(const char *string) ;
void minfoslcd (char unsigned *message);
void mprintlcd(char unsigned car);
void mprinttrace(int ntrace, char unsigned *string, int value);
void mprinttracehexbin(byte numtrace,byte car,byte code);
uint8_t mrecv_string(char *buf, uint8_t size);
void msetparamvalue(byte number,int value);   
int mreadparamvalue(byte number);
void mcommandextended(const char *buf, uint8_t num);
int madc_read(uint8_t mux);
void mclearcwmess(char unsigned nummess);
void maddtocwmess(char unsigned nummess,char unsigned car);
void mreadcwmess(char unsigned nummess);
void mkey (void);
void mikeydot (void);
void mikeydash(void);
void mikeywait(void);
void mdelay (void);
void mdelaystop(char unsigned time);
void mtone (void);
void mstatus (int fcttime);
void mprintcw (char unsigned car);
char unsigned mdecode (int code);
void mabort (void);
void mcwtxtone(char unsigned type,int ttime);
void msencode(char unsigned car);
void msendcar(char unsigned car);
void msendmessage(char unsigned nummess);
char unsigned mgetrndletter(void);
void mtraining(void);
void mbalise(void);  
void mrepeater(void);
void msetpotspeed(void);
void mcommandbycar(char unsigned cdecar);
void mserialget(void);
void mrxcwkeystart(void);
void mrxcwkeyup(void);
void mrxcwkeydown(void);


#endif
